import {
    RECEIVE_MY_COURSES,
    INVALIDATE_COURSEDATA
} from './actions'

const initialState = {
    shouldFetch: false,
    courseData: {},
    currentPage: 1,
    currentNum: 10
}


export default function myCourses(state = initialState, action) {
    switch (action.type) {
        case RECEIVE_MY_COURSES:
            return Object.assign(
                {},
                state,
                {courseData: action.payload})
        case INVALIDATE_COURSEDATA:
            return Object.assign(
                {},
                state,
                {shouldFetch: true})
        default:
            return state
    }
}